package ai.longev.dev.foreground_bootable_service


import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.os.Build
import android.widget.Toast

class StartOnBootReceiver : BroadcastReceiver() {
    override fun onReceive(context: Context, intent: Intent) {
        val action = intent.action
        println("rebooted")
        if (action != null && action == android.content.Intent.ACTION_BOOT_COMPLETED) {
            //FlutterLocalNotificationsPlugin.rescheduleNotifications(context);
            Toast.makeText(context, "Iniciando monitoreo de glucosa", Toast.LENGTH_LONG).show()

            val serviceIntent = Intent(context, ForegroundBootableService::class.java)

            if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
                context.startForegroundService(serviceIntent)
            } else {
                context.startService(serviceIntent)
            }

        }
    }
}
