import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:foreground_bootable_service/foreground_bootable_service.dart';

void main() {
  const MethodChannel channel = MethodChannel('foreground_bootable_service');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await ForegroundBootableService.platformVersion, '42');
  });
}
